XMLDiff\Base::diff
XMLDiff\DOM
XMLDiff\Base
PHP Manual

# XMLDiff\Base::merge

Produce new XML document based on diff

### Description

abstract public mixed XMLDiff\Base::merge ( mixed `$src` , mixed `$diff` )

Abstract merge method to be implemented by inheriting classes.

Basically the method purpose is to produce a new XML document based on the diff information.

### Parameters

`src`

  Source XML document.

`diff`

  Document produced by the diff method.

### Return Values

Implementation dependent.